Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.qd
Interface QDConstants

public interface QDConstants

This class represents all of the constants in the QuickDraw interface.
ALL constants start with a small letter (not a capital one) except for constants that start with an acronym, such as MPEG...

Field Summary
`static int` | `addMax`
`static int` | `addOver`
`static int` | `addPin`
`static int` | `adMax`
`static int` | `adMin`
`static int` | `alignPix`
`static int` | `alignPixBit`
`static int` | `allDevices`
`static int` | `allDevicesBit`
`static int` | `allInit`
`static int` | `baseAddr32`
`static int` | `blackBit`
`static int` | `blackColor`
`static int` | `blend`
`static int` | `blueBit`
`static int` | `blueColor`
`static int` | `bold`
`static int` | `burstDevice`
`static int` | `chunky`
`static int` | `chunkyPlanar`
`static int` | `clipPix`
`static int` | `clipPixBit`
`static int` | `clutType`
`static int` | `condenseBit`
`static int` | `crossCursor`
`static int` | `cyanBit`
`static int` | `cyanColor`
`static int` | `defQDColors`
`static int` | `deviceIsAScreen`
`static int` | `deviceIsDCISurface`
`static int` | `deviceIsDDSurface`
`static int` | `deviceIsExternalBuffer`
`static int` | `deviceIsGDISurface`
`static int` | `deviceIsIndirect`
`static int` | `deviceIsOverlaySurface`
`static int` | `deviceIsStatic`
`static int` | `deviceNeedsLock`
`static int` | `directType`
`static int` | `ditherCopy`
`static int` | `ditherPix`
`static int` | `ditherPixBit`
`static int` | `dontMatchSeeds`
`static int` | `dontMatchSeedsBit`
`static int` | `ext32Device`
`static int` | `extendBit`
`static int` | `fixedType`
`static int` | `gdDevType`
`static int` | `grayishTextOr`
`static int` | `greenBit`
`static int` | `greenColor`
`static int` | `gwFlagErr`
`static int` | `gwFlagErrBit`
`static int` | `hasAuxMenuBar`
`static int` | `hilite`
`static int` | `hiliteBit`
`static int` | `hilitetransfermode`
`static int` | `iBeamCursor`
`static int` | `interlacedDevice`
`static int` | `inverseBit`
`static int` | `italic`
`static int` | `italicBit`
`static int` | `k16BE555PixelFormat` MacOS Pixel formats used in QTNewGWorld
`static int` | `k16BE565PixelFormat` Win32 Pixel formats used in QTNewGWorld
`static int` | `k16LE555PixelFormat` Win32 Pixel formats used in QTNewGWorld
`static int` | `k16LE565PixelFormat` Win32 Pixel formats used in QTNewGWorld
`static int` | `k1IndexedGrayPixelFormat` MacOS Pixel formats used in QTNewGWorld
`static int` | `k1MonochromePixelFormat` MacOS Pixel formats used in QTNewGWorld
`static int` | `k24BGRPixelFormat` Win32 Pixel formats used in QTNewGWorld
`static int` | `k24RGBPixelFormat` MacOS Pixel formats used in QTNewGWorld
`static int` | `k2IndexedGrayPixelFormat` MacOS Pixel formats used in QTNewGWorld
`static int` | `k2IndexedPixelFormat` MacOS Pixel formats used in QTNewGWorld
`static int` | `k32ABGRPixelFormat` Win32 Pixel formats used in QTNewGWorld
`static int` | `k32ARGBPixelFormat` MacOS Pixel formats used in QTNewGWorld
`static int` | `k32BGRAPixelFormat` Win32 Pixel formats used in QTNewGWorld
`static int` | `k32RGBAPixelFormat` Win32 Pixel formats used in QTNewGWorld
`static int` | `k4IndexedGrayPixelFormat` MacOS Pixel formats used in QTNewGWorld
`static int` | `k4IndexedPixelFormat` MacOS Pixel formats used in QTNewGWorld
`static int` | `k8IndexedGrayPixelFormat` MacOS Pixel formats used in QTNewGWorld
`static int` | `k8IndexedPixelFormat` MacOS Pixel formats used in QTNewGWorld
`static int` | `kAllocDirectDrawSurface`
`static int` | `kCursorImageMajorVersion`
`static int` | `kCursorImageMinorVersion`
`static int` | `keepLocal`
`static int` | `keepLocalBit`
`static int` | `kHorizontalConstraint`
`static int` | `kICMAppThenTempMemory`
`static int` | `kICMTempThenAppMemory`
`static int` | `kNoConstraint`
`static int` | `kQDGrafVerbErase`
`static int` | `kQDGrafVerbFill`
`static int` | `kQDGrafVerbFrame`
`static int` | `kQDGrafVerbInvert`
`static int` | `kQDGrafVerbPaint`
`static int` | `kUYVY422PixelFormat` Win32 Pixel formats used in QTNewGWorld
`static int` | `kVerticalConstraint`
`static int` | `kYUV211PixelFormat` Win32 Pixel formats used in QTNewGWorld
`static int` | `kYUV411PixelFormat` Win32 Pixel formats used in QTNewGWorld
`static int` | `kYUVSPixelFormat` Win32 Pixel formats used in QTNewGWorld
`static int` | `kYUVUPixelFormat` Win32 Pixel formats used in QTNewGWorld
`static int` | `kYVU9PixelFormat` Win32 Pixel formats used in QTNewGWorld
`static int` | `kYVYU422PixelFormat` Win32 Pixel formats used in QTNewGWorld
`static int` | `magentaBit`
`static int` | `magentaColor`
`static int` | `mainScreen`
`static int` | `mapPix`
`static int` | `mapPixBit`
`static int` | `newDepth`
`static int` | `newDepthBit`
`static int` | `newRowBytes`
`static int` | `newRowBytesBit`
`static int` | `noDriver`
`static int` | `noNewDevice`
`static int` | `noNewDeviceBit`
`static int` | `normal` MacOS font style constants
`static int` | `normalBit`
`static int` | `notPatBic`
`static int` | `notPatCopy`
`static int` | `notPatOr`
`static int` | `notPatXor`
`static int` | `notSrcBic`
`static int` | `notSrcCopy`
`static int` | `notSrcOr`
`static int` | `notSrcXor`
`static int` | `outlineBit`
`static int` | `patBic`
`static int` | `patCopy`
`static int` | `patOr`
`static int` | `patXor`
`static int` | `pHiliteBit`
`static int` | `picLParen`
`static int` | `picRParen`
`static int` | `pixelsLocked`
`static int` | `pixelsLockedBit`
`static int` | `pixelsPurgeable`
`static int` | `pixelsPurgeableBit`
`static int` | `pixPurge`
`static int` | `pixPurgeBit`
`static int` | `planar`
`static int` | `plusCursor`
`static int` | `pmAllUpdates`
`static int` | `pmAnimated`
`static int` | `pmBkUpdates`
`static int` | `pmBlack`
`static int` | `pmCourteous`
`static int` | `pmExplicit`
`static int` | `pmFgUpdates`
`static int` | `pmInhibitC2`
`static int` | `pmInhibitC4`
`static int` | `pmInhibitC8`
`static int` | `pmInhibitG2`
`static int` | `pmInhibitG4`
`static int` | `pmInhibitG8`
`static int` | `pmNoUpdates`
`static int` | `pmTolerant`
`static int` | `pmWhite`
`static int` | `ramInit`
`static int` | `reallocPix`
`static int` | `reallocPixBit`
`static int` | `redBit`
`static int` | `redColor`
`static int` | `RGBDirect`
`static int` | `roundedDevice`
`static int` | `screenActive`
`static int` | `screenDevice`
`static int` | `shadowBit`
`static int` | `singleDevices`
`static int` | `singleDevicesBit`
`static int` | `srcBic`
`static int` | `srcCopy`
`static int` | `srcOr`
`static int` | `srcXor`
`static int` | `stretchPix`
`static int` | `stretchPixBit`
`static int` | `subOver`
`static int` | `subPin`
`static int` | `sysPatListID`
`static int` | `teCenter`
`static int` | `teFlushDefault`
`static int` | `teFlushLeft`
`static int` | `teFlushRight`
`static int` | `teForceLeft`
`static int` | `teJustCenter`
`static int` | `teJustLeft`
`static int` | `teJustRight`
`static int` | `transparent`
`static int` | `ulineBit`
`static int` | `underlined`
`static int` | `useTempMem`
`static int` | `useTempMemBit`
`static int` | `watchCursor`
`static int` | `whiteColor`
`static int` | `yellowBit`
`static int` | `yellowColor`

Field Detail

### teJustLeft

    public static final int teJustLeft

### teJustCenter

    public static final int teJustCenter

### teJustRight

    public static final int teJustRight

### teForceLeft

    public static final int teForceLeft

### teFlushDefault

    public static final int teFlushDefault

### teCenter

    public static final int teCenter

### teFlushRight

    public static final int teFlushRight

### teFlushLeft

    public static final int teFlushLeft

### normal

    public static final int normal

  MacOS font style constants

### bold

    public static final int bold

### italic

    public static final int italic

### underlined

    public static final int underlined

### picLParen

    public static final int picLParen

### picRParen

    public static final int picRParen

### clutType

    public static final int clutType

### fixedType

    public static final int fixedType

### directType

    public static final int directType

### gdDevType

    public static final int gdDevType

### burstDevice

    public static final int burstDevice

### ext32Device

    public static final int ext32Device

### ramInit

    public static final int ramInit

### mainScreen

    public static final int mainScreen

### allInit

    public static final int allInit

### screenDevice

    public static final int screenDevice

### noDriver

    public static final int noDriver

### screenActive

    public static final int screenActive

### interlacedDevice

    public static final int interlacedDevice

### roundedDevice

    public static final int roundedDevice

### hasAuxMenuBar

    public static final int hasAuxMenuBar

### hiliteBit

    public static final int hiliteBit

### pHiliteBit

    public static final int pHiliteBit

### defQDColors

    public static final int defQDColors

### RGBDirect

    public static final int RGBDirect

### baseAddr32

    public static final int baseAddr32

### sysPatListID

    public static final int sysPatListID

### iBeamCursor

    public static final int iBeamCursor

### crossCursor

    public static final int crossCursor

### plusCursor

    public static final int plusCursor

### watchCursor

    public static final int watchCursor

### kQDGrafVerbFrame

    public static final int kQDGrafVerbFrame

### kQDGrafVerbPaint

    public static final int kQDGrafVerbPaint

### kQDGrafVerbErase

    public static final int kQDGrafVerbErase

### kQDGrafVerbInvert

    public static final int kQDGrafVerbInvert

### kQDGrafVerbFill

    public static final int kQDGrafVerbFill

### chunky

    public static final int chunky

### chunkyPlanar

    public static final int chunkyPlanar

### planar

    public static final int planar

### kNoConstraint

    public static final int kNoConstraint

### kVerticalConstraint

    public static final int kVerticalConstraint

### kHorizontalConstraint

    public static final int kHorizontalConstraint

### kCursorImageMajorVersion

    public static final int kCursorImageMajorVersion

### kCursorImageMinorVersion

    public static final int kCursorImageMinorVersion

### singleDevicesBit

    public static final int singleDevicesBit

### dontMatchSeedsBit

    public static final int dontMatchSeedsBit

### allDevicesBit

    public static final int allDevicesBit

### singleDevices

    public static final int singleDevices

### dontMatchSeeds

    public static final int dontMatchSeeds

### allDevices

    public static final int allDevices

### pixPurgeBit

    public static final int pixPurgeBit

### noNewDeviceBit

    public static final int noNewDeviceBit

### useTempMemBit

    public static final int useTempMemBit

### keepLocalBit

    public static final int keepLocalBit

### pixelsPurgeableBit

    public static final int pixelsPurgeableBit

### pixelsLockedBit

    public static final int pixelsLockedBit

### mapPixBit

    public static final int mapPixBit

### newDepthBit

    public static final int newDepthBit

### alignPixBit

    public static final int alignPixBit

### newRowBytesBit

    public static final int newRowBytesBit

### reallocPixBit

    public static final int reallocPixBit

### clipPixBit

    public static final int clipPixBit

### stretchPixBit

    public static final int stretchPixBit

### ditherPixBit

    public static final int ditherPixBit

### gwFlagErrBit

    public static final int gwFlagErrBit

### deviceIsIndirect

    public static final int deviceIsIndirect

### deviceNeedsLock

    public static final int deviceNeedsLock

### deviceIsStatic

    public static final int deviceIsStatic

### deviceIsExternalBuffer

    public static final int deviceIsExternalBuffer

### deviceIsDDSurface

    public static final int deviceIsDDSurface

### deviceIsDCISurface

    public static final int deviceIsDCISurface

### deviceIsGDISurface

    public static final int deviceIsGDISurface

### deviceIsAScreen

    public static final int deviceIsAScreen

### deviceIsOverlaySurface

    public static final int deviceIsOverlaySurface

### pixPurge

    public static final int pixPurge

### noNewDevice

    public static final int noNewDevice

### useTempMem

    public static final int useTempMem

### keepLocal

    public static final int keepLocal

### pixelsPurgeable

    public static final int pixelsPurgeable

### pixelsLocked

    public static final int pixelsLocked

### kAllocDirectDrawSurface

    public static final int kAllocDirectDrawSurface

### kICMTempThenAppMemory

    public static final int kICMTempThenAppMemory

### kICMAppThenTempMemory

    public static final int kICMAppThenTempMemory

### mapPix

    public static final int mapPix

### newDepth

    public static final int newDepth

### alignPix

    public static final int alignPix

### newRowBytes

    public static final int newRowBytes

### reallocPix

    public static final int reallocPix

### clipPix

    public static final int clipPix

### stretchPix

    public static final int stretchPix

### ditherPix

    public static final int ditherPix

### gwFlagErr

    public static final int gwFlagErr

### k1MonochromePixelFormat

    public static final int k1MonochromePixelFormat

  MacOS Pixel formats used in QTNewGWorld

### k2IndexedPixelFormat

    public static final int k2IndexedPixelFormat

  MacOS Pixel formats used in QTNewGWorld

### k4IndexedPixelFormat

    public static final int k4IndexedPixelFormat

  MacOS Pixel formats used in QTNewGWorld

### k8IndexedPixelFormat

    public static final int k8IndexedPixelFormat

  MacOS Pixel formats used in QTNewGWorld

### k16BE555PixelFormat

    public static final int k16BE555PixelFormat

  MacOS Pixel formats used in QTNewGWorld

### k24RGBPixelFormat

    public static final int k24RGBPixelFormat

  MacOS Pixel formats used in QTNewGWorld

### k32ARGBPixelFormat

    public static final int k32ARGBPixelFormat

  MacOS Pixel formats used in QTNewGWorld

### k1IndexedGrayPixelFormat

    public static final int k1IndexedGrayPixelFormat

  MacOS Pixel formats used in QTNewGWorld

### k2IndexedGrayPixelFormat

    public static final int k2IndexedGrayPixelFormat

  MacOS Pixel formats used in QTNewGWorld

### k4IndexedGrayPixelFormat

    public static final int k4IndexedGrayPixelFormat

  MacOS Pixel formats used in QTNewGWorld

### k8IndexedGrayPixelFormat

    public static final int k8IndexedGrayPixelFormat

  MacOS Pixel formats used in QTNewGWorld

### k16LE555PixelFormat

    public static final int k16LE555PixelFormat

  Win32 Pixel formats used in QTNewGWorld

### k16BE565PixelFormat

    public static final int k16BE565PixelFormat

  Win32 Pixel formats used in QTNewGWorld

### k16LE565PixelFormat

    public static final int k16LE565PixelFormat

  Win32 Pixel formats used in QTNewGWorld

### k24BGRPixelFormat

    public static final int k24BGRPixelFormat

  Win32 Pixel formats used in QTNewGWorld

### k32BGRAPixelFormat

    public static final int k32BGRAPixelFormat

  Win32 Pixel formats used in QTNewGWorld

### k32ABGRPixelFormat

    public static final int k32ABGRPixelFormat

  Win32 Pixel formats used in QTNewGWorld

### k32RGBAPixelFormat

    public static final int k32RGBAPixelFormat

  Win32 Pixel formats used in QTNewGWorld

### kYUVSPixelFormat

    public static final int kYUVSPixelFormat

  Win32 Pixel formats used in QTNewGWorld

### kYUVUPixelFormat

    public static final int kYUVUPixelFormat

  Win32 Pixel formats used in QTNewGWorld

### kYVU9PixelFormat

    public static final int kYVU9PixelFormat

  Win32 Pixel formats used in QTNewGWorld

### kYUV411PixelFormat

    public static final int kYUV411PixelFormat

  Win32 Pixel formats used in QTNewGWorld

### kYVYU422PixelFormat

    public static final int kYVYU422PixelFormat

  Win32 Pixel formats used in QTNewGWorld

### kUYVY422PixelFormat

    public static final int kUYVY422PixelFormat

  Win32 Pixel formats used in QTNewGWorld

### kYUV211PixelFormat

    public static final int kYUV211PixelFormat

  Win32 Pixel formats used in QTNewGWorld

### srcCopy

    public static final int srcCopy

### srcOr

    public static final int srcOr

### srcXor

    public static final int srcXor

### srcBic

    public static final int srcBic

### notSrcCopy

    public static final int notSrcCopy

### notSrcOr

    public static final int notSrcOr

### notSrcXor

    public static final int notSrcXor

### notSrcBic

    public static final int notSrcBic

### patCopy

    public static final int patCopy

### patOr

    public static final int patOr

### patXor

    public static final int patXor

### patBic

    public static final int patBic

### notPatCopy

    public static final int notPatCopy

### notPatOr

    public static final int notPatOr

### notPatXor

    public static final int notPatXor

### notPatBic

    public static final int notPatBic

### blend

    public static final int blend

### addPin

    public static final int addPin

### addOver

    public static final int addOver

### subPin

    public static final int subPin

### transparent

    public static final int transparent

### addMax

    public static final int addMax

### adMax

    public static final int adMax

### subOver

    public static final int subOver

### adMin

    public static final int adMin

### grayishTextOr

    public static final int grayishTextOr

### hilitetransfermode

    public static final int hilitetransfermode

### hilite

    public static final int hilite

### ditherCopy

    public static final int ditherCopy

### italicBit

    public static final int italicBit

### ulineBit

    public static final int ulineBit

### outlineBit

    public static final int outlineBit

### shadowBit

    public static final int shadowBit

### condenseBit

    public static final int condenseBit

### extendBit

    public static final int extendBit

### normalBit

    public static final int normalBit

### inverseBit

    public static final int inverseBit

### redBit

    public static final int redBit

### greenBit

    public static final int greenBit

### blueBit

    public static final int blueBit

### cyanBit

    public static final int cyanBit

### magentaBit

    public static final int magentaBit

### yellowBit

    public static final int yellowBit

### blackBit

    public static final int blackBit

### blackColor

    public static final int blackColor

### whiteColor

    public static final int whiteColor

### redColor

    public static final int redColor

### greenColor

    public static final int greenColor

### blueColor

    public static final int blueColor

### cyanColor

    public static final int cyanColor

### magentaColor

    public static final int magentaColor

### yellowColor

    public static final int yellowColor

### pmCourteous

    public static final int pmCourteous

### pmTolerant

    public static final int pmTolerant

### pmAnimated

    public static final int pmAnimated

### pmExplicit

    public static final int pmExplicit

### pmWhite

    public static final int pmWhite

### pmBlack

    public static final int pmBlack

### pmInhibitG2

    public static final int pmInhibitG2

### pmInhibitC2

    public static final int pmInhibitC2

### pmInhibitG4

    public static final int pmInhibitG4

### pmInhibitC4

    public static final int pmInhibitC4

### pmInhibitG8

    public static final int pmInhibitG8

### pmInhibitC8

    public static final int pmInhibitC8

### pmNoUpdates

    public static final int pmNoUpdates

### pmBkUpdates

    public static final int pmBkUpdates

### pmFgUpdates

    public static final int pmFgUpdates

### pmAllUpdates

    public static final int pmAllUpdates

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD